Skip to main content
GET
/
v1
/
instagram
/
users
/
{username}
/
tagged
Get user tagged posts
curl --request GET \
  --url https://api.konbiniapi.com/v1/instagram/users/{username}/tagged \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "type": "OrderedCollectionPage",
    "partOf": "https://api.konbiniapi.com/v1/tiktok/users/khaby.lame/videos",
    "totalItems": 1309,
    "itemCount": 30,
    "orderedItems": [
      {
        "type": "Video",
        "id": "https://www.instagram.com/p/CybWViruta1/",
        "url": "https://www.instagram.com/p/CybWViruta1/",
        "postId": "CybWViruta1",
        "internalId": "3214260996432123573",
        "summary": "When you realize there is a simpler way #learnfromkhaby",
        "published": "2026-02-27T18:36:42.000Z",
        "likeCount": 2800000,
        "commentCount": 29200,
        "attributedTo": {
          "type": "Person",
          "id": "https://www.tiktok.com/@khaby.lame",
          "url": "https://www.tiktok.com/@khaby.lame",
          "userId": "779085683",
          "preferredUsername": "khaby00",
          "name": "Khabane lame",
          "icon": {
            "type": "Image",
            "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg"
          },
          "role": "collaborator"
        },
        "location": {
          "type": "Place",
          "id": "213385402",
          "name": "Los Angeles, California",
          "url": "https://www.instagram.com/explore/locations/213385402/",
          "latitude": 34.0522,
          "longitude": -118.2437
        },
        "tag": [
          {
            "type": "Tag",
            "name": "learnfromkhaby",
            "href": "https://www.instagram.com/explore/tags/learnfromkhaby/"
          }
        ],
        "sponsored": false,
        "viewCount": 42600000,
        "duration": 23,
        "contentFormat": "reel",
        "attachment": [
          {
            "type": "Video",
            "url": [
              "https://v16-webapp.tiktok.com/video/tos/useast2a/..."
            ],
            "mediaType": "video/mp4",
            "width": 576,
            "height": 1024
          }
        ],
        "image": {
          "type": "Image",
          "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
          "width": 1080,
          "height": 1920
        },
        "audio": {
          "type": "Audio",
          "audioType": "original",
          "name": "Original audio",
          "artist": "khaby00",
          "audioId": "293394603591002",
          "duration": 85.216
        },
        "name": "Photo of Khabane Lame",
        "totalItems": 5,
        "items": [
          {
            "type": "Image",
            "internalId": "3214260996432123574",
            "image": {
              "type": "Image",
              "url": "https://p16-sign.tiktokcdn-us.com/tos-avt/123456~c5_100x100.jpeg",
              "width": 1080,
              "height": 1920
            },
            "attachment": [
              {
                "type": "Video",
                "url": [
                  "https://v16-webapp.tiktok.com/video/tos/useast2a/..."
                ],
                "mediaType": "video/mp4",
                "width": 576,
                "height": 1024
              }
            ],
            "name": "Photo of Khabane Lame"
          }
        ]
      }
    ],
    "cursor": "0",
    "nextCursor": "1772217402000",
    "next": "https://api.konbiniapi.com/v1/tiktok/users/khaby.lame/videos?cursor=1772217402000&count=30"
  }
}

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

username
string
required

Instagram username (with or without @ symbol)

Query Parameters

count
integer
default:12

Number of posts to fetch (maximum: 12)

Required range: 1 <= x <= 12
cursor
string

Pagination cursor

Response

Returns posts the user is tagged in

data
object
required